<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Analyzing Postmessage Security — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `analyze --url <val>` | Analyze postMessage handlers |
| `test --url <val> --origin <val>` | Test origin validation |
| `exploit --url <val> --payload <val>` | Exploit insecure message handler |
| `report --url <val> --format <val>` | Generate postMessage security report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--url` | string | Yes | Url parameter |
| `--origin` | string | Yes | Origin parameter |
| `--payload` | string | Yes | Payload parameter |
| `--format` | string | Yes | Format parameter |
